#!/bin/sh
#
# !!! Requires snortrules-stable.tar.gz for full functionality - gausus
#

name="snort"
title="Snort"
package="snort"
version="1.9.1"
build="1"
noarch="n"
build_info="Standard build."

info="Network intrusion detection system."
info_pl="System wykrywania intruzw w sieci."
desc="Snort is an OpenSource NIDS (Network intrusion detection
system). It analyzes and monitor thesystem in order to
track any intrusion attempts. If one is detected it can
inform the adminisrator via syslog, WinPopup, mail or sms."
desc_pl="Snort to NIDS (System wykrywania intruzw w sieci)
w wersji open source. Monitoruje i analizuje na bieco
prac systemu w poszukiwaniu prb naruszenie
bezpieczestwa. W wypadku stwierdzenia zagroenia
natychmiast informuje administratora przez syslog'a,
WinPopup, e-mail lub sms."
category="net/analisys"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="COPYING,ChangeLog,LICENSE,doc"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://www.snort.org/dl/$name-$version.tar.gz

configure_option --prefix=/usr
configure_option --sysconfdir=/etc/snort
configure_option --with-openssl
configure_option --without-odbc
configure_option --with-postgresql=no
configure_option --with-mysql=no

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

make_docs

copy etc/snort.conf $pkg_main/etc/snort

make_package main

clean_up

# $Log: snort.builder,v $
# Revision 1.4  2003/03/31 18:15:08  swiergot
# - Build 1.
#
# Revision 1.3  2003/03/31 18:09:34  swiergot
# - Version 1.9.1.
#
# Revision 1.2  2003/03/31 18:03:16  swiergot
# - Cleanups.
#
